[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedImage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TSharedImage - base class for reference counted images

## Declaration

Source position: graphics.pp line 1169

`type TSharedImage = class`
`protected`
`procedure Reference;` |  | Increase reference count
`procedure Release;` |  | Decrease reference count
`procedure FreeHandle; virtual; abstract;` |  | Release the handle for this image and free its resources
`property RefCount: Integer; [r]` |  | The number of references to this shared image
`public`
`function HandleAllocated; virtual; abstract;` |  | Has a handle been allocated for this image?
`end;`

## Inheritance

`TSharedImage` |  | TSharedImage - base class for reference counted images
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.